var Model3D = function()
{
	this._vertices = [-100,-100,0, 0,100,0, 100,-100,0];
	this._vertexPositionBuffer;
	this.initBuffers();
};
Model3D.prototype =
{
	initBuffers : function()
	{
		this._vertexPositionBuffer = _gl.createBuffer();
		_gl.bindBuffer(_gl.ARRAY_BUFFER, this._vertexPositionBuffer);
		_gl.bufferData(_gl.ARRAY_BUFFER, new Float32Array(this._vertices), _gl.STATIC_DRAW);
		this._vertexPositionBuffer.itemSize = 3;
		this._vertexPositionBuffer.numItems = ~~(this._vertices.length/3);
	},
	draw : function()
	{
//		_gl.bindBuffer(_gl.ARRAY_BUFFER, this._vertexPositionBuffer); 폜
//		_gl.vertexAttribPointer(_shaderProgram.a_vertexPosition, this._vertexPositionBuffer.itemSize, _gl.FLOAT, false, 0, 0); 폜
//		_gl.uniformMatrix4fv(_shaderProgram.u_pMatrix, false, _pMatrix._e); 폜
//		_gl.uniformMatrix4fv(_shaderProgram.u_mvMatrix, false, _mvMatrix._e) 폜;

		this.setVertices();

		_gl.drawArrays(_gl.TRIANGLES, 0, ~~(this._vertices.length/3));
	},
	setVertices : function()
	{
		_gl.bindBuffer(_gl.ARRAY_BUFFER, this._vertexPositionBuffer);
		_gl.vertexAttribPointer(_shaderProgram.a_vertexPosition, this._vertexPositionBuffer.itemSize, _gl.FLOAT, false, 0, 0);

		setMatrixUniforms(_pMatrix._e);
	}
};
